Bug 1908472 - High Podready Latency due to timed out waiting for annotations
Summary: High Podready Latency due to timed out waiting for annotations
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6.z
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.6.z
Assignee: Alexander Constantinescu
QA Contact: Mike Fiedler
URL:
Whiteboard:
Depends On: 1912975 1901363
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-16 19:27 UTC by Dan Williams
Modified: 2021-02-09 11:15 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1901363
Environment:
Last Closed: 2021-01-18 17:59:31 UTC
Target Upstream Version:
miketheman: needinfo-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovn-kubernetes pull 388 0 None closed Bug 1908472: [4.6] Increase QPS and Burst setting 2021-02-09 11:15:26 UTC
Red Hat Product Errata RHSA-2021:0037 0 None None None 2021-01-18 17:59:57 UTC

Comment 2 Anurag saxena 2020-12-18 19:30:45 UTC
@mifiedle@redhat.com Can you re-assign to right QA? Or let me know if i can help bringing up the cluster.

Comment 4 Mike Fiedler 2021-01-05 23:19:05 UTC
Hi! H

Comment 6 Mike Fiedler 2021-01-06 20:02:16 UTC
Verified on 4.6.0-0.nightly-2021-01-05-203053

200 node OVN cluster on AWS
Scaling from 0 -> 4000 pods had an ovnkube_master_pod_creation_latency_seconds P99 of 3.15 seconds
Scaling from 4000->8000 pods had an ovnkube_master_pod_creation_latency_seconds P99 of 11.75 seconds and a P95 of 7.25 seconds

Not quite at the 5 second desired level but an order of magnitude better than the minutes duration reported in this bz.   Marking this VERFIED for 4.6.z.

Comment 7 Sai Sindhur Malleni 2021-01-07 02:11:39 UTC
Thanks Mike, removing my needinfo

Comment 9 errata-xmlrpc 2021-01-18 17:59:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.6.12 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0037


Note You need to log in before you can comment on or make changes to this bug.